[workspace]
members = [ "node", "runtime", "template-fuzzer" ]
resolver = "2"

[workspace.package]
authors = [ "OpenZeppelin", "Kurdistan Tech Institue", "pezkuwichain team" ]
description = "Generic runtime template for Pezkuwi Para{chains, cores}"
edition = "2021"
license = "GPL-3.0-only"
repository = "https://github.com/OpenZeppelin/pezkuwi-runtime-templates"

[workspace.dependencies]
clap = { version = "4.5.3", features = [ "derive" ] }
color-print = "0.3.4"
docify = { version = "0.2.9" }
futures = "0.3.30"
hex-literal = "0.4.1"
jsonrpsee = { version = "0.24.3", features = [ "server" ] }
log = { version = "0.4.21", default-features = false }
parity-scale-codec = { version = "3.6.12", default-features = false, features = [
	"derive",
	"max-encoded-len",
] }
scale-info = { version = "2.11.1", default-features = false }
serde = { version = "1.0.197", default-features = false }
serde_json = { version = "1.0.121", default-features = false }
smallvec = "1.11.0"

# TODO: update to release
pezframe-benchmarking = { package = "frame-benchmarking",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezframe-benchmarking-cli = { package = "frame-benchmarking-cli",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezframe-executive = { package = "frame-executive",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezframe-metadata-hash-extension = { package = "frame-metadata-hash-extension",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezframe-support = { package = "frame-support",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezframe-system = { package = "frame-system",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezframe-system-benchmarking = { package = "frame-system-benchmarking",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezframe-system-rpc-runtime-api = { package = "frame-system-rpc-runtime-api",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezframe-try-runtime = { package = "frame-try-runtime",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
openzeppelin-pallet-abstractions = { git = "https://github.com/OpenZeppelin/openzeppelin-pallet-abstractions", branch = "polkadot-stable2503", default-features = false }
openzeppelin-pallet-abstractions-proc = { git = "https://github.com/OpenZeppelin/openzeppelin-pallet-abstractions", branch = "polkadot-stable2503", default-features = false }
pezpallet-asset-tx-payment = { package = "pallet-asset-tx-payment",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-assets = { package = "pallet-assets",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-aura = { package = "pallet-aura",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-authorship = { package = "pallet-authorship",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-balances = { package = "pallet-balances",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-conviction-voting = { package = "pallet-conviction-voting",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-membership = { package = "pallet-membership",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-message-queue = { package = "pallet-message-queue",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-multisig = { package = "pallet-multisig",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-preimage = { package = "pallet-preimage",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-proxy = { package = "pallet-proxy",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-referenda = { package = "pallet-referenda",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-scheduler = { package = "pallet-scheduler",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-session = { package = "pallet-session",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-sudo = { package = "pallet-sudo",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-timestamp = { package = "pallet-timestamp",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-transaction-payment = { package = "pallet-transaction-payment",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-transaction-payment-rpc = { package = "pallet-transaction-payment-rpc",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-transaction-payment-rpc-runtime-api = { package = "pallet-transaction-payment-rpc-runtime-api",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-treasury = { package = "pallet-treasury",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-utility = { package = "pallet-utility",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-whitelist = { package = "pallet-whitelist",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-basic-authorship = { package = "sc-basic-authorship",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-chain-spec = { package = "sc-chain-spec",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-cli = { package = "sc-cli",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-client-api = { package = "sc-client-api",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-consensus = { package = "sc-consensus",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-executor = { package = "sc-executor",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-network = { package = "sc-network",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-network-sync = { package = "sc-network-sync",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-offchain = { package = "sc-offchain",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-rpc = { package = "sc-rpc",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-service = { package = "sc-service",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-sysinfo = { package = "sc-sysinfo",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-telemetry = { package = "sc-telemetry",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-tracing = { package = "sc-tracing",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-transaction-pool = { package = "sc-transaction-pool",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsc-transaction-pool-api = { package = "sc-transaction-pool-api",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-api = { package = "sp-api",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-arithmetic = { package = "sp-arithmetic",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-block-builder = { package = "sp-block-builder",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-blockchain = { package = "sp-blockchain",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-consensus-aura = { package = "sp-consensus-aura",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-core = { package = "sp-core",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-genesis-builder = { package = "sp-genesis-builder",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-inherents = { package = "sp-inherents",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-io = { package = "sp-io",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-keyring = { package = "sp-keyring",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-keystore = { package = "sp-keystore",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-offchain = { package = "sp-offchain",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-runtime = { package = "sp-runtime",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-session = { package = "sp-session",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-state-machine = { package = "sp-state-machine",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-std = { package = "sp-std",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-timestamp = { package = "sp-timestamp",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-tracing = { package = "sp-tracing",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-transaction-pool = { package = "sp-transaction-pool",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezsp-version = { package = "sp-version",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
bizinikiwi-build-script-utils = { package = "substrate-build-script-utils",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", tag = "polkadot-stable2503" }
bizinikiwi-pezframe-rpc-system = { package = "substrate-frame-rpc-system",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
bizinikiwi-prometheus-endpoint = { package = "substrate-prometheus-endpoint",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
bizinikiwi-wasm-builder = { package = "substrate-wasm-builder",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }

# Pezkuwi
pezpallet-xcm = { package = "pallet-xcm",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezkuwi-cli = { package = "polkadot-cli",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezkuwi-teyrchain-primitives = { package = "polkadot-parachain-primitives",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezkuwi-primitives = { package = "polkadot-primitives",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezkuwi-runtime-common = { package = "polkadot-runtime-common",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezkuwi-runtime-teyrchains = { package = "polkadot-runtime-parachains",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
staging-xcm = { package = "staging-xcm",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
staging-xcm-builder = { package = "staging-xcm-builder",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
staging-xcm-executor = { package = "staging-xcm-executor",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
xcm-pez-simulator = { package = "xcm-simulator",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }

# Pezpezcumulus
assets-common = { git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-client-cli = { package = "cumulus-client-cli",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-client-collator = { package = "cumulus-client-collator",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-client-consensus-aura = { package = "cumulus-client-consensus-aura",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-client-consensus-common = { package = "cumulus-client-consensus-common",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-client-consensus-proposer = { package = "cumulus-client-consensus-proposer",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-client-service = { package = "cumulus-client-service",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-pezpallet-aura-ext = { package = "cumulus-pallet-aura-ext",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-pezpallet-teyrchain-system = { package = "cumulus-pallet-parachain-system",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-pezpallet-session-benchmarking = { package = "cumulus-pallet-session-benchmarking",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-pezpallet-weight-reclaim = { package = "cumulus-pallet-weight-reclaim",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-pezpallet-xcm = { package = "cumulus-pallet-xcm",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-pezpallet-xcmp-queue = { package = "cumulus-pallet-xcmp-queue",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-primitives-aura = { package = "cumulus-primitives-aura",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-primitives-core = { package = "cumulus-primitives-core",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-primitives-teyrchain-inherent = { package = "cumulus-primitives-parachain-inherent",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-primitives-timestamp = { package = "cumulus-primitives-timestamp",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-primitives-utility = { package = "cumulus-primitives-utility",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-relay-chain-interface = { package = "cumulus-relay-chain-interface",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezcumulus-test-relay-sproof-builder = { package = "cumulus-test-relay-sproof-builder",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
pezpallet-collator-selection = { package = "pallet-collator-selection",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
teyrchain-info = { package = "staging-parachain-info",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }
teyrchains-common = { package = "parachains-common",  git = "https://git.pezkuwichain.io/pezkuwichain/pezkuwi-sdk", default-features = false, tag = "polkadot-stable2503" }

# Moonbeam
pezpallet-asset-manager = { package = "pallet-asset-manager",  git = "https://github.com/OpenZeppelin/moonbeam.git", branch = "polkadot-stable2503", default-features = false }
pezpallet-xcm-transactor = { package = "pallet-xcm-transactor",  git = "https://github.com/OpenZeppelin/moonbeam.git", branch = "polkadot-stable2503", default-features = false }
pezpallet-xcm-weight-trader = { package = "pallet-xcm-weight-trader",  git = "https://github.com/OpenZeppelin/moonbeam.git", branch = "polkadot-stable2503", default-features = false }
xcm-primitives = { git = "https://github.com/OpenZeppelin/moonbeam.git", branch = "polkadot-stable2503", default-features = false }

# ORML
orml-oracle = { git = "https://github.com/OpenZeppelin/open-runtime-module-library", branch = "polkadot-stable2503", default-features = false }
orml-oracle-runtime-api = { git = "https://github.com/OpenZeppelin/open-runtime-module-library", branch = "polkadot-stable2503", default-features = false }
orml-traits = { git = "https://github.com/OpenZeppelin/open-runtime-module-library", branch = "polkadot-stable2503", default-features = false }
orml-xcm-support = { git = "https://github.com/OpenZeppelin/open-runtime-module-library", branch = "polkadot-stable2503", default-features = false }
orml-xtokens = { git = "https://github.com/OpenZeppelin/open-runtime-module-library", branch = "polkadot-stable2503", default-features = false }

# Fuzzer
ziggy = { version = "1.0.2", default-features = false }

# Tanssi
dp-consensus = { git = "https://github.com/OpenZeppelin/dancekit", branch = "polkadot-stable2503", default-features = false }
nimbus-consensus = { git = "https://github.com/OpenZeppelin/moonkit", branch = "polkadot-stable2503", default-features = false }
nimbus-primitives = { git = "https://github.com/OpenZeppelin/moonkit", branch = "polkadot-stable2503", default-features = false }
pezpallet-author-inherent = { package = "pallet-author-inherent",  git = "https://github.com/OpenZeppelin/moonkit", branch = "polkadot-stable2503", default-features = false }
pezpallet-cc-authorities-noting = { package = "pallet-cc-authorities-noting",  git = "https://github.com/OpenZeppelin/dancekit", branch = "polkadot-stable2503", default-features = false }

[workspace.lints.clippy]
large_enum_variant = "allow"
too_many_arguments = "allow"
type_complexity = "allow"

[profile.production]
codegen-units = 1
inherits = "release"
lto = true


[profile.release]
opt-level = 3
panic = "unwind"
